#include "memsize.h"
:userdoc.
:title.Aide de 'Ressources systme'
:body.

:h1 res=ID_MAIN.Introduction
:i1.Introduction
:artwork name='memsize.bmp' align=center.
:p.
Ce programme affiche plusieurs lments relatifs aux ressources du
systme, et met  jour ces informations une fois par seconde s'il
dispose de suffisamment de ressources processeur pour cela. Les lments
affichs sont&colon.
:p.
:hp2.Date/heure:ehp2. - L'heure et la date, dans le format dfini par
les informations de pays de votre systme (d'aprs la ligne &apos.COUNTRY=&apos.
de votre fichier CONFIG.SYS).
:p.
:hp2.Temps coul:ehp2. - Le temps coul depuis que le systme a t
lanc pour la dernire fois.
:p.
:hp2.Mmoire physique libre:ehp2. - La quantit de mmoire systme
libre, d'aprs la fonction :hp1.DosMemAvail:ehp1..
:note.Cette fonction fait partie de l'ancien systme 16 bits, et ne compte que
la mmoire physique sous les 16Mo, et a aussi t modifie juste avant
la sortie d'OS/2 2.0 pour ne jamais indiquer moins de 512ko.
#ifdef USE_OS20MEMU
:note.Si l'utilitaire :hpt.OS20MEMU:ehpt.:hdref res=60001.
et ses pilotes de priphriques sont installs, ce nombre sera plus
prcis, au cot d'une charge processeur plus importante.
#endif
:p.
:hp2.Mmoire virtuelle libre:ehp2. - La quantit de mmoire virtuelle
disponible, d'aprs la fonction :hp1.DosQuerySysInfo:ehp1.. Il s'agit de
la quantit de mmoire physique libre, plus l'espace libre dans le
fichier d'change, plus l'espace disponible pour l'augmentation du
fichier d'change, moins l'espace libre minimum rserv sur le disque
d'change.
:p.
:hp2.Taille fichier d'change:ehp2. - La taille actuelle du fichier
d'change du systme, :hp4.SWAPPER.DAT:ehp4..
Pour localiser le fichier, l'entre :hp4.SWAPPATH:ehp4. est recherche
dans le fichier :hp4.CONFIG.SYS:ehp4.. Cette entre fournit le nom du
rpertoire o est stock le fichier d'change et indique l'espace
minimum qui doit tre laiss disponible sur le disque du fichier
d'change.
:p.
:hp2.Espace d'change libre:ehp2. - La quantit d'espace libre sur
le disque o rside le fichier d'change, moins l'espace libre minimum.
Ceci reprsente l'augmentation potentielle maximale du fichier
d'change.
:p.
:hp2.Espace d'change inutilis:ehp2. - L'espace libre dans le fichier
d'change actuellement allou. Quand cette quantit descend  zro, le
fichier d'change doit tre agrandi, normalement par incrment de un mga-
octet.
:p.
:hp2.Taille fichier d'impression:ehp2. - L'espace disque
utilis par les fichiers d'attente d'impression.
:p.
:hp2.Charge processeur (%):ehp2. - Le pourcentage approximatif de la
puissance du processeur utilise. Il s'agit d'une moyenne calcule
pendant la seconde prcdente.
:note.Cette fonction et l'application :hp4.Activit du processeur:ehp4.
ne cohabitent pas trs bien.
:hpt.Pourquoi ?:ehpt.:hdref res=60002.
:note.Si le pilote :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.
est install, ce nombre sera plus prcis.
:hpt.Pourquoi ?:ehpt.:hdref res=60003.
:p.
:hp2.Nombre de tches actives:ehp2. - Le nombre de lignes dans la
liste des tches du systme, qui est la liste affiche quand vous
pressez les touches :hp4.Ctrl:ehp4. et :hp4.chap:ehp4..
:note.Toutes les entres de la liste des tches du systme ne sont pas
affiches dans la :hp4.Liste de fentres:ehp4.. Certaines sont
configures pour ne pas tre affiches.
:p.
:hp2.Nombre de processus:ehp2. - Le nombre de processus en cours d'excution sur
le systme.
:p.
:hp2.Nombre de threads:ehp2. - Le nombre de threads en cours d'excution sur
le systme. Il y a au moins un thread par processus.
:p.
:hp2.Espace disque libre total:ehp2. - La somme de l'espace libre sur
tous les disques fixes locaux.
:p.
:hp2.Libre sur X:ehp2. - L'espace libre sur le disque X.
:p.
Comme vous avez dj pu le constater, l'aide en ligne est disponible, et
les commandes du programme peuvent tre atteintes via le menu systme de
la fentre. Les commandes suivantes sont disponibles&colon.
:sl compact.
:li.:hpt.Sauvegarder la configuration:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Rinitialiser l&apos.environnement:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Cacher la barre de titre:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configurer...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Rinitialiser charge processeur:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Copier:ehpt.:hdref res=IDM_COPY.
:li.:hpt.A propos:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Fermer:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
En plus des fonctionnalits dj dcrites, le programme accepte les
commandes provenant des gestionnaires de polices et de couleurs d'OS/2,
et se comporte en serveur DDE pour tous les lments affichs. Le nom
DDE de l'application est MEMSIZE, et les noms des lments sont les
mmes que les noms affichs par dfaut (par exemple, Mmoire physique
libre).

:h1 res=IDM_SAVE_APPLICATION.Sauvegarder la configuration (Option de menu)
:i1.Sauvegarder la configuration (Option de menu)
Quand cette option de menu est slecte, le programme enregistre sa
position sur l&apos.cran et l&apos.tat de l&apos.option :hp4.Cacher la
barre de titre:ehp4.. La prochaine fois que le programme est lanc, la
configuration actuelle sera rutilise.
:p.
:note. La touche de raccourci pour cette fonction est :hp4.F2:ehp4..

:h1 res=IDM_RESET_DEFAULTS.Rinitialiser l&apos.environnement (Option de menu)
:i1.Rinitialiser l&apos.environnement (Option de menu)
Cette option de menu entrane la rinitialisation des attributs de
police et de couleur du programme  leurs valeurs par dfaut.

:h1 res=IDM_HIDE_CONTROLS.Cacher la barre de titre (Option de menu)
:i1.Cacher la barre de titre (Option de menu)
La slection de cette option de menu entrane la disparition de la barre
de titre de la fentre, et des contrles qui y sont associs (le menu
systme, la plaquette de rduction). Cette option peut tre inverse en
cliquant deux fois l&apos.un des boutons de la souris. De plus, comme il
m&apos.a sembl trs utile de pouvoir dplacer la fentre quand la barre
de titre est absente, la fentre est configure de telle sorte que vous
pouvez la faire glisser en pressant l&apos.un des boutons de la souris.
:p.
:note.La touche de raccourci pour cette fonction est :hp4.Alt+H:ehp4..

:h1 res=IDM_CONFIGURE.Configurer (Option de menu)
:i1.Configurer (Option de menu)
La slection de cette option de menu entrane l'apparition de la bote
de dialogue de configuration du programme.
Pour plus d'informations, voir
:hpt.Configurer (Dialogue):ehpt.:hdref res=IDD_CONFIGURE..
:note.Le raccourci clavier pour cette commande est :hp4.Alt+C:ehp4..

:h2 res=IDD_CONFIGURE.Configurer (Dialogue)
Cette bote de dialogue vous permet de modifier tous les aspects
configurables du comportement de ce programme. Pour quitter ce dialogue
sans effectuer de changement, pressez la touche :hp4.chap:ehp4. ou
slectez la plaquette :hp4.Annuler:ehp4.. Pour valider les changements
que vous avez effectus, pressez la touche :hp4.Entre:ehp4. ou slectez
la plaquette :hp4.Ok:ehp4..
.br
Les lments configurables sont les suivants:
:p.
:hp2.Donnes affichs:ehp2.
Les articles que vous slectionnerez dans la liste des :hp4.Donnes
affiches:ehp4. seront surveills et affichs par le programme. Les
articles en surbrillance sont surveills. Pour mettre un article en
surbrillance, slectez-le  l'aide de la souris. Pour supprimer la
surbrillance, slectez  nouveau l'article.
Pour modifier le nom par dfaut d'un lment, ou pour restituer le nom
par dfaut, cliquez deux fois sur un lment non slectionn. L'lment
sera slectionn et une bote de dialogue vous permettra de modifier le
nom de l'lment.
:p.
:hp2.Afficher Kilo-octets:ehp2.
Ces boutons-radio vous permettent de dfinir si les grandes quantits
sont affiches en kilo-octets jamais, toujours ou uniquement si leur
valeur excde 512ko.
Par dfaut, les tailles de plus de 500ko sont affiches en kilo-octets.
Attention, un kilo-octet reprsente 1024 octets et non 1000.
:p.
:hp2.Priorit:ehp2.
Ce champ vous permet de dfinir la priorit de la routine de
surveillance du programme, dans la classe de priorit time-critical.
Vous pouvez faire varier la priorit de 0  31. Une priorit de 31 est
la plus haute priorit possible dans le systme, exception faite des
interruptions matrielles. La priorit 0 est la priorit la plus basse
de la classe time-critical. Pour obtenir la plus grande prcision dans
la mesure de la charge du processeur, vous devriez utiliser la valeur
maximale. Toutefois, certains utilisateurs se sont plaints du fait que
leur programme de communication manquait occasionnellement des donnes
quand le programme s'excute. C'est la raison pour laquelle la priorit
est maintenant modifiable.
:p.
:hp2.Priode de mise  jour:ehp2.
Ce champ vous permet de dfinir le temps s'coulant entre deux mises 
jour de la fentre de surveillance. Cette priode peut varier de une 
trente secondes, par palier d'un dixime de seconde. Le nombre affich
exprime des diximes de seconde.
:p.
:hp2.Point d'ancrage:ehp2.
Ce contrle vous permet de dfinir un coin de la fentre dont la
position reste fixe quand la taille de la fentre est modifie. La
taille de la fentre peut changer quand la liste des articles surveills
est modifie, ou quand la police est modifie  l'aide de la palette de
polices.
:p.
:hp2.Cacher la barre de titre:ehp2.
Quand la fentre du programme n'est pas rduite, elle peut apparatre
avec ou sans la barre de titre, le menu systme et les boutons de
rduction et d'agrandissement. La fentre peut tre dplace en la
faisant glisser.
:p.
:hp2.Toujours visible:ehp2.
Quand cette case est coche, 'Ressources systme' reste visible en
permanence.
:p.
:hp2.Animer:ehp2.
Cette case active l'animation lors de l'ouverture et de la fermeture de
la fentre. Quand cette case est coche, la fentre du programme s'ouvre
et se ferme de la mme faon que les dossiers: avec un accompagnement
sonore et une animation. De mme que pour les dossiers, cette
fonctionnalit doit tre active dans la configuration du systme.
:p.
:hp2.Afficher systme de fichiers:ehp2.
Lorsque cette case est coche, chaque ligne affichant l'espace
disponible sur un disque indique le type de systme de fichiers utilis
par le disque. L'utilisation de cette option entrane une fentre de
surveillance plus large.
:p.
:hp2.Afficher noms d'units:ehp2.
Lorsque cette case est coche, chaque ligne affichant l'espace
disponible sur un disque indique le label de volume du disque.
L'utilisation de cette option entrane une fentre de surveillance plus
large.
:p.
:hp2.Afficher les secondes:ehp2.
Quand cette case est coche, les secondes sont affiches pour l'heure
et le temps coul.

:h3 res=IDD_LABEL.Nom de l'lment (Bote de dialogue)
Cette bote de dialogue affiche les noms actuel et par dfaut d'un
lment affich, et vous permet de le modifier. Pour modifier le nom,
tapez le nouveau nom  la place du nom actuel. Pour restituer le nom par
dfaut, slectez la plaquette Dfaut.

:h1 res=IDM_RESETLOAD.Rinitialiser charge processeur (Option de menu)
:i1.Rinitialiser charge processeur (Option de menu)
Cette option de menu permet de rinitialiser la fonction de mesure de la
charge du processeur.

:h1 res=IDM_COPY.Copier (Option de menu)
:i1.Copier (Option de menu)
Cette option de menu copie le contenu de la fentre dans le presse-
papiers du systme dans deux formats : texte et bitmap. La version texte
contient tous les lments affichs dans un format permettant son
insertion dans un diteur de textes. La version bitmap est une copie de
la fentre, et peut tre utilise dans les programmes manipulant des
graphiques.
:p.
La touche de raccourci pour cette commande est Ctrl+Inser.

:h1 res=IDM_ABOUT.A propos (Option de menu)
:i1.A propos (Option de menu)
Cette option fait apparatre la fentre d&apos.informations sur le
programme.
Pour plus d'informations, voir
:hpt.A propos (Dialogue):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.A propos (Dialogue)
Cette bote de dialogue affiche le nom du programme, l'icne et les
informations de Copyright. Pour quitter le dialogue, pressez la touche
:hp4.Entre:ehp4., la barre d'espacement ou la touche :hp4.chap:ehp4..

:h1 res=IDM_EXIT.Fermer (Option de menu)
:i1.Fermer (Option de menu)
Le choix de cette option de menu entraine l'arrt du programme.

:h1 res=IDM_KEYS_HELP.Aide sur les touches
:i1.Aide sur les touches
Les touches de fonction suivantes sont disponibles dans ce
programme&colon.
:sl compact.
:li.F1 - Aide
:li.F2 - Sauvegarder la configuration
:li.F3 - Sortie
:li.Alt+C - Configurer
:li.Alt+H - Cacher la barre de titre
:li.Ctrl+Inser - Copier
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Rpertoire configuration
:i1.Rpertoire configuration
Cette bote de dialogue est affiche quand le programme ne trouve pas
son fichier de configuration (.INI), et demande o ce fichier se trouve
ou l&apos.endroit o il doit tre cr.
:p.
Seul un nom de rpertoire existant sera accept. Une fois le nom entr,
pressez la touche :hp4.Entre:ehp4. ou slectez la plaquette
:hp4.Ok:ehp4. pour que le programme continue son excution.
:p.
Si vous voulez interrompre l'initialisation du programme, pressez la
touche :hp4.chap:ehp4. ou slectez la plaquette :hp4.Annuler:ehp4..

:h1 res=60000.HRTIMER - Pilote de chronomtre haute rsolution.
Le pilote de chronomtre haute rsolution, HRTIMER.SYS, permet aux
programmes d'accder  un composant normalement inutilis sur les IBM
PCs. Il possde une rsolution de 840 nanosecondes, 64k fois mieux que
la rsolution normale de l'horloge, qui est de 55 millisecondes.
:p.Ce programme peut tre trouv, entre autres, aux endroits suivants: sur
:hp4.CompuServe:ehp4.,
dans la librairie
:hp4.Device Driver Development:ehp4.
du forum
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4.,
sous le nom
:hp4.TIMER.ZIP:ehp4. ;
sur Internet, par ftp anonyme sur les sites
:hp4.ftp.cdrom.com:ehp4.
et
:hp4.hobbes.nmsu.edu:ehp4.,
dans le rpertoire
:hp4./pub/os2/dev16:ehp4.,
sous le nom
:hp4.hrtimer.zip:ehp4..
:p.Le code source de ce pilote de priphrique provient du numro d'automne
du magazine IBM Personal Systems Developer. Il est gratuit, mais le
copyright original appartient  IBM.

#ifdef USE_OS20MEMU
:h1 res=60001.OS20MEMU - Carte d'utilisation de la mmoire OS/2
Le programme OS20MEMU permet  l'utilisateur d'obtenir une liste
exhaustive des zones mmoire utilises par les programmes ou par le
systme lui mme.
:p.Ce programme peut tre trouv, entre autres, sur les sites ftp anonymes
:hp4.ftp.cdrom.com:ehp4.
et
:hp4.hobbes.nmsu.edu:ehp4.,
dans le rpertoire
:hp4./pub/os2/textutil:ehp4.,
sous le nom
:hp4.20memu.zip:ehp4..
:p.OS20MEMU est gratuit, le copyright appartenant  IBM.
:note.Assurez-vous d'utiliser la version de novembre 1994 (ou une version plus
rcente), car les versions antrieures ne fonctionnent pas avec Warp.
#endif

:h1 res=60002.D'o vient le conflit avec Activit du processeur ?
Ce programme, ainsi que Activit du processeur, CPULOAD, CPUMETER et
les programmes similaires, essaie de mesurer l'activit du processeur en
valuant le nombre de cycles processeurs qui lui sont allous  la
priorit la plus basse. Si un de ces programme arrive  s'excuter  une
si basse priorit, il utilise le temps d'inactivit. S'il n'y a pas de
temps d'inactivit, l'ordinateur est occup  100%. Plus le programme
s'excute  la priorit systme inactif, moins le processeur est
charg.
:p.
Excuter deux programmes de ce type pose un problme : ils essaient tous
les deux d'utiliser ce temps d'inactivit. Si vous excutez deux copies
du mme programme, et rien d'autre, ils devraient tous les deux indiquer
une charge processeur de 50%. Si vous excutez deux programmes
diffrents, ils seront tous les deux affects, en principe  des degrs
diffrents.

:h1 res=60003.A quoi sert HRTIMER.SYS ?
Quand HRTIMER.SYS est install, la surcharge que reprsente le systme
est prise en compte dans la charge CPU.
:p.
La charge du processeur est dtermine en comparant la quantit de
travail qui peut tre effectue  la priorit inactif avec la quantit
maximale qu'il a t possible d'effectuer jusqu'ici. Sans information
complmentaire, l'activit normale du systme apparat comme une charge
processeur de zro.
HRTIMER.SYS, quand il s'installe, effectue un calibrage pour dterminer
la quantit de travail ralisable  la plus haute priorit. Cette mesure
est utilise par le programme.

:euserdoc.
